org.cybergarage.upnp.ssdp

## Class SSDPNotifySocket

- java.lang.Object
- - org.cybergarage.upnp.ssdp.HTTPMUSocket
  - - org.cybergarage.upnp.ssdp.SSDPNotifySocket

- All Implemented Interfaces:
    Runnable

      public class SSDPNotifySocket
      extends HTTPMUSocket
      implements Runnable

  This class identifies a SSDP socket only for notifing packet.
  Version:
    1.8

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSDPNotifySocket(String bindAddr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ControlPoint` | `getControlPoint()`
    `boolean` | `post(SSDPNotifyRequest req)` This method send a `SSDPNotifyRequest` over `SSDPNotifySocket`
    `void` | `run()`
    `void` | `setControlPoint(ControlPoint ctrlp)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class org.cybergarage.upnp.ssdp.HTTPMUSocket

      `close, finalize, getLocalAddress, getLocalPort, getMulticastAddress, getMulticastInetAddress, getMulticastPort, getSocket, open, open, post, post, receive, send, send, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSDPNotifySocket

          public SSDPNotifySocket(String bindAddr)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getControlPoint

          public ControlPoint getControlPoint()

    - #### post

          public boolean post(SSDPNotifyRequest req)

      This method send a `SSDPNotifyRequest` over `SSDPNotifySocket`
      Parameters:
        `req` - the `SSDPNotifyRequest` to send
      Returns:
        true if and only if the trasmission succeced
        Because it rely on UDP doesn't mean that it's also received

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### setControlPoint

          public void setControlPoint(ControlPoint ctrlp)

    - #### start

          public void start()

    - #### stop

          public void stop()